<template>
    <v-row justify="center" class="bee-gray" style="width: 100%; position: absolute;">
        <v-col cols="8" class="filled">
            <v-row align="center">
                <v-col cols="1">
                    <a @click="$router.go(-1)">
                        <img width="70px" src="~@/assets/icons/regresar.svg" alt srcset />
                    </a>
                </v-col>
                <v-col cols="1">
                    <h5 class="tit">Regresar</h5>
                </v-col>
            </v-row>

            <v-row no-gutters>
                <div class="d-flex black" style="width:100%;">
                    <h1 class="ml-10 white--text">INFORMACIÓN DE NEGOCIO / CATÁLOGO DELIVERY</h1>
                </div>
            </v-row>
            <v-form ref="form" v-model="validForm" lazy-validation>
                <GoogleMaps v-model="delivery.location" />
                <v-col cols="12">
                    <v-row>
                        <v-col lg="6" cols="12">
                            <v-switch
                                v-model="delivery.active"
                                inset
                                label="Activar servicios Delivery"
                                :true-value="true"
                                :false-value="false"
                                @change="
                                    $event => {
                                        serviceDeliveryValidation();
                                        if ($event === false) (delivery.shipping = $event), (delivery.collect = $event);
                                    }
                                "
                            ></v-switch>
                            <v-card :disabled="!delivery.active" flat>
                                <v-col>
                                    <div class="d-flex mb-5" style="align-items:center;">
                                        <HexCheckBox
                                            v-model="delivery.shipping"
                                            @change="serviceDeliveryValidation"
                                        ></HexCheckBox>
                                        <span class="mobileFont"> Activar envio</span>
                                    </div>
                                </v-col>
                                <v-col>
                                    <div class="d-flex mb-5" style="align-items:center;">
                                        <HexCheckBox
                                            v-model="delivery.collect"
                                            @change="serviceDeliveryValidation"
                                        ></HexCheckBox>
                                        <span class="mobileFont"> Activar PICKUP</span>
                                    </div>
                                </v-col>
                                <v-alert v-if="serviceDeliveryError" dense outlined type="error">
                                    Debe seleccionar al menos un servicio de Delivery
                                </v-alert>
                            </v-card>
                        </v-col>
                        <v-col lg="6" cols="12">
                            <v-row>
                                <v-col lg="6" cols="12">
                                    <v-card
                                        height="200px"
                                        width="200px"
                                        v-cloak
                                        @click="$refs.uploader.$refs.input.click()"
                                        @drop.prevent="fileDropped"
                                        :img="previewImg(fileDelivery)"
                                        @dragover.prevent="dropzone(true)"
                                        @dragenter="dropzone(true)"
                                        @dragleave="dropzone(false)"
                                        style="display: inline-block; align-items: center;"
                                    >
                                        <div style="position: absolute; margin-top: 25%;">
                                            <v-icon
                                                class="drop-icon"
                                                style="display: contents;"
                                                v-if="!dragover"
                                                color="yellow darken-2"
                                                size="50"
                                                >mdi-cloud-upload-outline</v-icon
                                            >
                                            <v-icon
                                                class="drop-icon"
                                                style="display: contents;"
                                                v-if="dragover"
                                                color="yellow darken-2"
                                                size="50"
                                                >mdi-book-plus</v-icon
                                            >
                                            <v-chip class="ma-2">
                                                <span class="uploadLabel">Arrastra aquí</span>
                                            </v-chip>
                                        </div>
                                    </v-card>
                                </v-col>
                                <v-col lg="6" cols="12">
                                    <v-file-input
                                        accept="image/*"
                                        v-model="fileDelivery"
                                        show-size
                                        ref="uploader"
                                    ></v-file-input>
                                    <v-btn
                                        class="upimg1"
                                        color="#fdb947"
                                        rounded
                                        @click="uploadFile(pathDelivery, fileDelivery)"
                                        >Actualizar Imagen</v-btn
                                    >
                                </v-col>
                            </v-row>
                        </v-col>
                    </v-row>
                    <v-col cols="12">
                        <v-textarea
                            v-model="delivery.address"
                            :rules="[v => !!v || 'Campo requerido']"
                            label="Dirección de negocio"
                            :single-line="singleLine"
                            :row-height="rowHeight"
                            :rows="rows"
                            :auto-grow="autoGrow"
                            :solo="solo"
                            :no-resize="noResize"
                        ></v-textarea>
                    </v-col>
                    <v-col cols="12">
                        <v-textarea
                            v-model="delivery.descriptionDeliveryDefault"
                            :rules="[v => !!v || 'Campo requerido']"
                            label="Descripción por defecto"
                            :single-line="singleLine"
                            :row-height="rowHeight"
                            :rows="rows"
                            :auto-grow="autoGrow"
                            :solo="solo"
                            :no-resize="noResize"
                        ></v-textarea>
                    </v-col>
                    <v-col cols="12">
                        <div class="tabsTitle">
                            <span>Redes sociales</span>
                        </div>
                        <v-row>
                            <v-col lg="6" cols="12">
                                <v-text-field
                                    color="#3b5998"
                                    v-model="socialNetworks.facebook"
                                    label="Facebook"
                                    prepend-icon="mdi-facebook"
                                    hint="Ejemplo: https://www.facebook.com/..."
                                    :rules="[
                                        v =>
                                            new RegExp('^$|facebook.com/.').test(v || '') ||
                                            'Ingresa un enlace a Facebook'
                                    ]"
                                ></v-text-field>
                            </v-col>
                            <v-col lg="6" cols="12">
                                <v-text-field
                                    color="#833AB4"
                                    v-model="socialNetworks.instagram"
                                    label="Instagram"
                                    prepend-icon="mdi-instagram"
                                    hint="Ejemplo: https://www.instagram.com/..."
                                    :rules="[
                                        v =>
                                            new RegExp('^$|instagram.com/.').test(v || '') ||
                                            'Ingresa un enlace a Instagram'
                                    ]"
                                ></v-text-field>
                            </v-col>
                        </v-row>
                    </v-col>
                </v-col>
                <v-col>
                    <v-row no-gutters>
                        <v-expansion-panels flat multiple>
                            <v-col cols="12" lg="4">
                                <v-expansion-panel class="pa-2">
                                    <v-expansion-panel-header>
                                        <template>
                                            <v-row no-gutters>
                                                <v-col
                                                    ><v-icon class="icon">mdi-phone</v-icon
                                                    ><span> Telefonos de contacto</span>
                                                </v-col>
                                            </v-row>
                                        </template>
                                    </v-expansion-panel-header>
                                    <v-expansion-panel-content>
                                        <v-text-field
                                            v-model="delivery.phones.localPhone.phone"
                                            :rules="[v => v.length === 10 || '10 dígitos']"
                                            label="Telefono local"
                                        ></v-text-field>
                                        <v-text-field
                                            v-model="delivery.phones.whatsapp.phone"
                                            :rules="whatsappRules()"
                                            label="Telefono Whatsapp"
                                        ></v-text-field>
                                        <v-textarea
                                            v-model="delivery.phones.whatsapp.message"
                                            label="Mensaje Whatsapp"
                                            auto-grow
                                        ></v-textarea>
                                    </v-expansion-panel-content>
                                </v-expansion-panel>
                            </v-col>
                            <v-col cols="12" lg="4">
                                <v-expansion-panel class="pa-2">
                                    <v-expansion-panel-header>
                                        <template>
                                            <v-row no-gutters>
                                                <v-col>
                                                    <v-icon class="icon">mdi-map-marker-radius</v-icon
                                                    ><span> Rangos de entrega</span>
                                                </v-col>
                                            </v-row>
                                        </template>
                                    </v-expansion-panel-header>
                                    <v-expansion-panel-content>
                                        <v-row>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius1.distance / 1000"
                                                    @input="delivery.costShipping.radius1.distance = $event * 1000"
                                                    :rules="[
                                                        v => v >= 0 || 'Este rango es requerido y no puede ser negativo'
                                                    ]"
                                                    label="Rango 0 (km)"
                                                    hint="Kilometros"
                                                    auto-grow
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius1.cost"
                                                    @input="
                                                        delivery.costShipping.radius1.cost = $event
                                                            ? parseInt($event)
                                                            : 0
                                                    "
                                                    :rules="[v => v >= 0 || 'El costo debe ser mayor o igual a 0']"
                                                    label="Precio (mxn)"
                                                    hint="Pesos mexicanos"
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                        </v-row>
                                        <v-row>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius2.distance / 1000"
                                                    @input="delivery.costShipping.radius2.distance = $event * 1000"
                                                    :rules="radius2Rules()"
                                                    label="Rango 2 (km)"
                                                    hint="Kilometros"
                                                    auto-grow
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius2.cost"
                                                    @input="
                                                        delivery.costShipping.radius2.cost = $event
                                                            ? parseInt($event)
                                                            : 0
                                                    "
                                                    :rules="[costRules2]"
                                                    label="Precio (mxn)"
                                                    hint="Pesos mexicanos"
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                        </v-row>
                                        <v-row>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius3.distance / 1000"
                                                    @input="delivery.costShipping.radius3.distance = $event * 1000"
                                                    :rules="radius3Rules()"
                                                    label="Rango 3 (km)"
                                                    hint="Kilometros"
                                                    auto-grow
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius3.cost"
                                                    @input="
                                                        delivery.costShipping.radius3.cost = $event
                                                            ? parseInt($event)
                                                            : 0
                                                    "
                                                    :rules="[costRules3]"
                                                    label="Precio (mxn)"
                                                    hint="Pesos mexicanos"
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                        </v-row>

                                        <v-row>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius4.distance / 1000"
                                                    @input="delivery.costShipping.radius4.distance = $event * 1000"
                                                    :rules="radius4Rules()"
                                                    label="Rango 4 (km)"
                                                    hint="Kilometros"
                                                    auto-grow
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                            <v-col cols="6">
                                                <v-text-field
                                                    :value="delivery.costShipping.radius4.cost"
                                                    @input="
                                                        delivery.costShipping.radius4.cost = $event
                                                            ? parseInt($event)
                                                            : 0
                                                    "
                                                    :rules="[costRules4]"
                                                    label="Precio (mxn)"
                                                    hint="Pesos mexicanos"
                                                    type="number"
                                                ></v-text-field>
                                            </v-col>
                                        </v-row>
                                    </v-expansion-panel-content>
                                </v-expansion-panel>
                            </v-col>
                            <v-col cols="12" lg="4">
                                <v-expansion-panel class="pa-2">
                                    <v-expansion-panel-header>
                                        <template>
                                            <v-row no-gutters>
                                                <v-col
                                                    ><v-icon class="icon">mdi-cash</v-icon
                                                    ><span> Metodos de pago</span></v-col
                                                >
                                            </v-row>
                                        </template>
                                    </v-expansion-panel-header>
                                    <v-expansion-panel-content>
                                        <v-row>
                                            <v-checkbox
                                                v-model="delivery.payment.cash"
                                                :false-value="false"
                                                :true-value="true"
                                                :rules="paymentRules()"
                                                label="Efectivo"
                                            ></v-checkbox>
                                        </v-row>
                                        <v-row v-if="delivery.onlinePayment">
                                            <v-checkbox
                                                v-model="delivery.payment.online.active"
                                                :false-value="false"
                                                :true-value="true"
                                                :rules="paymentRules()"
                                                label="Tarjeta (Pago en línea)"
                                            ></v-checkbox>
                                            <v-list v-if="delivery.payment.online.active">
                                                <v-list-item>
                                                    <v-checkbox
                                                        v-model="delivery.payment.online.conekta"
                                                        :false-value="false"
                                                        :true-value="true"
                                                        :rules="onlineRules()"
                                                        label="Conekta"
                                                    ></v-checkbox>
                                                    <img width="30px" class="logo" src="~@/assets/icons/conekta.svg" />
                                                </v-list-item>
                                            </v-list>
                                        </v-row>
                                    </v-expansion-panel-content>
                                </v-expansion-panel>
                            </v-col>
                        </v-expansion-panels>
                    </v-row>
                </v-col>
                <v-col cols="12">
                    <div class="tabsTitle">
                        <span>Descripciones por idioma</span>
                    </div>
                    <v-tabs background-color="transparent" grow v-model="tab" class="pb-5">
                        <v-tabs-slider></v-tabs-slider>
                        <v-tab
                            v-for="(lang, key) in langsMenu"
                            :key="key"
                            style="font-weight:bold; font-size: small; border-radius: 0"
                        >
                            {{ lang.language }}
                        </v-tab>
                    </v-tabs>
                    <v-tabs-items v-model="tab">
                        <v-tab-item v-for="(lang, key) in langsMenu" :key="key">
                            <v-card flat>
                                <v-textarea
                                    label="Descripción general del negocio"
                                    :value="
                                        descriptionDeliveryLocal.has(lang.id)
                                            ? descriptionDeliveryLocal.get(lang.id).text
                                            : ''
                                    "
                                    @input="setDescriptionDelivery(lang.id, lang.language, $event)"
                                    :rules="[v => !!v || 'Campo requerido']"
                                    row-height="20"
                                    rows="2"
                                    auto-grow
                                ></v-textarea>
                                <v-textarea
                                    label="Tiempo de entrega de pedidos (estimado)"
                                    :value="
                                        descriptionEstimatesLocal.has(lang.id)
                                            ? descriptionEstimatesLocal.get(lang.id).text
                                            : ''
                                    "
                                    @input="setDescriptionEstimates(lang.id, lang.language, $event)"
                                    row-height="20"
                                    rows="2"
                                    auto-grow
                                ></v-textarea>
                            </v-card>
                        </v-tab-item>
                    </v-tabs-items>
                </v-col>
                <v-container>
                    <v-btn :disabled="!validForm" color="#fdb947" rounded class="mr-4" @click="updateDelivery">
                        Guardar
                    </v-btn>
                </v-container>
                <v-container fluid>
                    <v-card style="margin-bottom: 5%;">
                        <v-card-title>Cambiar horarios</v-card-title>
                        <v-icon> mdi-clock</v-icon>
                        <v-card-text>
                            Desde aqui podras editar tus horarios de entrega a domicilio semanal.
                        </v-card-text>
                        <v-card-actions>
                            <time-schedule />
                        </v-card-actions>
                    </v-card>
                </v-container>
            </v-form>
        </v-col>
        <v-dialog v-model="message.show" rounded="" max-width="290">
            <v-alert
                style="text-align:center; margin:0px;"
                justify="center"
                v-model="message.show"
                dismissible
                :type="message.type"
                >{{ message.message }}</v-alert
            >
        </v-dialog>
    </v-row>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import { namespace } from 'vuex-class';
import {
    DELIVERIES,
    DELIVERIES_DESCRIPTIONS,
    DELIVERIES_ESTIMATES,
    MENU_LANG,
    MENUS,
    STORAGE_DELIVERY
} from '@/config/collectionsName';
import { DeliveryMenu as ModelDeliveries } from '@/model/delivery/DeliveryMenu';
import { DeliveryService } from '@/services/DeliveryService';
import HexCheckBox from '@/components/commons/HexCheckBox.vue';
import TimeSchedule from '@/components/delivery/TimeSchedule.vue';
import GoogleMaps from '@/components/delivery/Map.vue';
import { db } from '@/config/firebase';
import { serializeLangMenu, serializeLangText } from '@/config/serializables';
import ModelSocialNetworks from '@/model/socialNetworks/SocialNetworks';
import { getFile } from '@/services/StorageService';
import { LangMenu } from '@/model/menu/LangMenu';
import { LangText } from '@/model/LangText';
import { isAlpha } from '@/StringUtils';

const deliveryStore = namespace('DeliveryModule');
const SocialNetworksModule = namespace('SocialNetworksModule');

@Component({ components: { HexCheckBox, TimeSchedule, GoogleMaps } })
export default class RestaurantInfo extends Vue {
    @deliveryStore.State
    delivery!: ModelDeliveries;
    @SocialNetworksModule.State
    socialNetworks!: ModelSocialNetworks;

    @deliveryStore.Action
    findDeliveryByMenuId!: (deliveryId: string) => Promise<void>;
    @SocialNetworksModule.Action
    findSocialNetworksByMenuId!: (deliveryId: string) => Promise<void>;

    @Prop({ default: '' })
    readonly orderId!: string;

    radiusDistance = {};
    langsMenu: LangMenu[] = [];

    private readonly deliveryService = new DeliveryService();
    descriptionDelivery: LangText[] = [];
    descriptionEstimates: LangText[] = [];
    descriptionDeliveryLocal: Map<string, LangText> = new Map();
    descriptionEstimatesLocal: Map<string, LangText> = new Map();
    validForm = true;
    serviceDeliveryError = false;
    tab = null;
    fileDelivery = new File([], '', undefined);
    pathDelivery = STORAGE_DELIVERY;
    message: { message: string; type: 'success' | 'info' | 'warning' | 'error'; show: boolean } = {
        message: '',
        type: 'error',
        show: false
    };
    filePreview = '';
    singleLine = false;
    rowHeight = 24;
    rows = 2;
    noResize = false;
    autoGrow = false;
    solo = false;
    dialog = false;
    dragover = false;

    beneficiaryRules = [(v: string) => !v || isAlpha(v) || 'Escribe el nombre del Beneficiario'];

    serviceDeliveryValidation() {
        if (this.delivery.active && !this.delivery.shipping && !this.delivery.collect) {
            this.validForm = false;
            this.serviceDeliveryError = true;
        } else {
            this.validForm = true;
            this.serviceDeliveryError = false;
        }
    }

    hasOnlyNumbersAndLength(text: string, to: number, from?: number): boolean {
        if (!from) {
            return /^\d+$/.test(text) && text.length === to;
        }

        return /^\d+$/.test(text) && text.length >= from && text.length <= to;
    }

    paymentRules(): ((v: string) => true | string)[] {
        if (!this.delivery.payment.online.active && !this.delivery.payment.cash) {
            return [(v: string) => !!v || 'Selecciona al menos una opción'];
        }

        return [];
    }

    onlineRules() {
        const rules: ((v: string) => true | string)[] = [];
        if (this.delivery.payment.online.active && !this.delivery.payment.online.conekta) {
            const rule = (v: string) => !!v || 'Campo requerido';
            rules.push(rule);
        }
        return rules;
    }

    setDescriptionDelivery(id: string, language: string, input: string) {
        this.descriptionDeliveryLocal.set(id, new LangText(id, language, input));
    }

    setDescriptionEstimates(id: string, language: string, input: string) {
        this.descriptionEstimatesLocal.set(id, new LangText(id, language, input));
    }

    whatsappRules() {
        const rules = [];
        if (this.delivery.phones.whatsapp.phone) {
            const rule = (v: string) => v.length == 10 || '10  dígitos';
            rules.push(rule);
        }
        return rules;
    }

    radius2Rules() {
        const rules = [];
        if (this.delivery.costShipping.radius2.distance != 0 || '') {
            const rule = (v: number) =>
                v * 1000 > this.delivery.costShipping.radius1.distance || 'El Rango debe ser mayor al Rango 1';
            rules.push(rule);
        }
        rules.push((v: number) => Math.sign(v) >= 0 || 'El rango debe ser mayor de 0');
        return rules;
    }

    costRules2(v: any) {
        if (this.delivery.costShipping.radius2.distance > 0) {
            return v >= 0 || 'El costo debe ser mayor o igual a 0';
        }
    }

    radius3Rules() {
        const rules = [];
        if (this.delivery.costShipping.radius3.distance != 0 || '') {
            const rule = (v: number) =>
                v * 1000 > this.delivery.costShipping.radius2.distance || 'El Rango debe ser mayor al Rango 2';
            rules.push(rule);
        }
        rules.push((v: number) => Math.sign(v) >= 0 || 'El rango debe ser mayor de 0');
        return rules;
    }

    costRules3(v: any) {
        console.log('actualizate3', v);
        if (this.delivery.costShipping.radius3.distance > 0) {
            console.log('actualizate', v);
            return v >= 0 || 'El costo debe ser mayor o igual a 0';
        }
    }
    radius4Rules() {
        const rules = [];
        if (this.delivery.costShipping.radius4.distance != 0 || '') {
            const rule = (v: number) =>
                v * 1000 > this.delivery.costShipping.radius3.distance || 'El Rango debe ser mayor al Rango 3';
            rules.push(rule);
        }
        rules.push((v: number) => Math.sign(v) >= 0 || 'El rango debe ser mayor de 0');
        return rules;
    }
    costRules4(v: any) {
        console.log('actualizate4', v);
        if (this.delivery.costShipping.radius4.distance > 0) {
            console.log('actualizate', v);
            return v >= 0 || 'El costo debe ser mayor o igual a 0';
        }
    }

    fileDropped(dragevent: DragEvent) {
        if (dragevent.dataTransfer) {
            this.dragover = false;
            this.fileDelivery = dragevent.dataTransfer.files[0];
        }
    }

    dropzone(ready: boolean) {
        this.dragover = ready;
    }

    async getFilesPreview(file: string) {
        return getFile(file || '');
    }

    async updateDelivery() {
        this.serviceDeliveryValidation();
        if (!this.serviceDeliveryError) {
            const isValid = (this.$refs.form as Vue & { validate: () => boolean }).validate();
            if (isValid) {
                await this.deliveryService.updateDelivery(
                    this.delivery,
                    Array.from(this.descriptionDeliveryLocal.values()),
                    this.socialNetworks,
                    Array.from(this.descriptionEstimatesLocal.values())
                );
                this.message = { message: 'MENÚ DELIVERY ACTUALIZADO', type: 'success', show: true };
            }
        }
    }

    async uploadFile(path: string, file: File) {
        try {
            await this.deliveryService.updateDeliveryFile(this.delivery, file, path);
            this.message = { message: 'IMAGEN DELIVERY ACTUALIZADA', type: 'success', show: true };
        } catch (e) {
            const error = e as Error;
            this.message = { message: error.message, type: 'error', show: true };
        }
    }

    setMessage(message: string, type: 'success' | 'info' | 'warning' | 'error') {
        this.message = { message, type, show: true };
    }

    previewImg(file: File) {
        if (file.size !== 0) {
            return URL.createObjectURL(file);
        } else {
            return this.filePreview;
        }
    }

    async created() {
        await this.findDeliveryByMenuId(this.$route.params.id);
        await this.findSocialNetworksByMenuId(this.$route.params.id);
        await this.$bind(
            'langsMenu',
            db
                .collection(MENUS)
                .doc(this.$route.params.id)
                .collection(MENU_LANG),
            { serialize: serializeLangMenu }
        );
        await this.$bind(
            'descriptionDelivery',
            db
                .collection(DELIVERIES)
                .doc(this.$route.params.id)
                .collection(DELIVERIES_DESCRIPTIONS),
            { serialize: serializeLangText }
        );

        await this.$bind(
            'descriptionEstimates',
            db
                .collection(DELIVERIES)
                .doc(this.$route.params.id)
                .collection(DELIVERIES_ESTIMATES),
            { serialize: serializeLangText }
        );

        this.descriptionDelivery.forEach(des =>
            this.descriptionDeliveryLocal.set(des.id, new LangText(des.id, des.language, des.text))
        );

        this.descriptionEstimates.forEach(est =>
            this.descriptionEstimatesLocal.set(est.id, new LangText(est.id, est.language, est.text))
        );

        this.filePreview = await this.getFilesPreview(this.delivery.imageDelivery);

        this.serviceDeliveryValidation();
    }
}
</script>

<style type="text/css">
.bee-gray {
    zoom: 100%;
    margin-bottom: 200px;
}

.mobileFont {
    text-align: initial !important;
    position: relative;
}
.icon {
    display: contents !important;
}
.tabsTitle {
    text-align: start !important;
    margin-bottom: 10px;
}
.logo {
    margin-left: 10px;
}
@media (max-width: 700px) {
    .tit {
        margin-left: 58px;
        position: absolute;
        font-size: 12px;
    }
    .upimg1 {
        width: 70px;
    }
    .txt1 {
        position: absolute;
        margin-top: 30px;
        width: 100px;
        font-size: 12px;
    }
    .txt2 {
        position: absolute;
        margin-top: 30px;
        width: 170px;
        font-size: 12px;
    }
    .finp1 {
        width: 150px;
    }
    .mobileFont {
        font-size: 16px;
    }
    .filled {
        position: absolute;
        max-width: 850px;
    }
    .v-input__slot {
        width: 100%;
    }
}
@media screen and (max-width: 800px) {
    .tit {
        width: 100px;
        height: 100px;
        margin-left: 58px;
        position: absolute;
    }
    .filled {
        position: absolute;
        max-width: 850px;
        max-height: 1500px;
        height: 1250px;
    }

    .mobileFont {
        font-size: 16px;
    }
    .upimg1 {
        width: 100px;
        font-size: 10px;
        position: relative;
    }
    .v-btn.v-size--default {
        font-size: 8px;
    }
    .v-input__slot {
        width: 100%;
    }
}
@media screen and (max-width: 1240px) {
    .filled {
        position: absolute;
        max-width: 850px;
        max-height: 1500px;
        margin-bottom: 200px;
        height: 1250px;
    }

    .mobileFont {
        font-size: 16px;
    }
    .upimg1 {
        width: 100px;
        font-size: 10px;
        position: relative;
    }
    .v-btn.v-size--default {
        font-size: 8px;
    }
    .v-input__slot {
        width: 100%;
    }
}
</style>
